Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.render.renderer
Interface RegionRenderer

All Superinterfaces:
  ObjectRenderer

All Known Implementing Classes:
  DivRegionRenderer, DynaRegionRenderer, EmptyRegionRenderer

    public interface RegionRenderer

extends ObjectRenderer

A region renderer is responsible to create the markup container for a set of portlets on a page region.

The Portlets on a portal page can be assigned to regions of that page. Regions are sub elements of a page, that will be used by a layout to position groups of portlets over the areas of the page. The region renderer can be invoked to render the entire content of the region. It is assumed to take over the responsibility of delegating to the `WindowRenderer` for each portlet that needs to be rendered in the region in question.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  `PortalRenderSet`, `WindowRenderer`

Method Summary
`void` | `renderBody(RendererContext rendererContext, RegionRendererContext rrc)`
`void` | `renderFooter(RendererContext rendererContext, RegionRendererContext rrc)`
`void` | `renderHeader(RendererContext rendererContext, RegionRendererContext rrc)`

Methods inherited from interface org.jboss.portal.theme.render.ObjectRenderer
`endContext, startContext`

Method Detail

### renderBody

    void renderBody(RendererContext rendererContext,
                    RegionRendererContext rrc)
                    throws RenderException

  Throws:
    `RenderException`

### renderHeader

    void renderHeader(RendererContext rendererContext,
                      RegionRendererContext rrc)
                      throws RenderException

  Throws:
    `RenderException`

### renderFooter

    void renderFooter(RendererContext rendererContext,
                      RegionRendererContext rrc)
                      throws RenderException

  Throws:
    `RenderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD